> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Picture

> Get the profile picture of the group

## Description

This endpoint returns the URL of the profile picture of the specified group.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique session ID
</ParamField>

<ParamField path="id" type="string" required>
  ID of the group in format `120363XXXXX@g.us`
</ParamField>

## Response

<ResponseField name="url" type="string">
  URL of the group picture
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "url": "https://pps.whatsapp.net/v/t61.24694-24/..."
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Picture returned successfully
* `400` - Invalid parameters
* `401` - Unauthorized
* `404` - Group or picture not found

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.wappfy.com.br/api/my-session/groups/120363XXXXX@g.us/picture
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const groupId = '120363XXXXX@g.us';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/groups/${groupId}/picture`);
  const data = await response.json();
  console.log(data.url);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  group_id = '120363XXXXX@g.us'
  response = requests.get(f'https://api.wappfy.com.br/api/{session}/groups/{group_id}/picture')
  data = response.json()
  print(data['url'])
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json get /api/{session}/groups/{id}/picture
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/groups/{id}/picture:
    get:
      tags:
        - 👥 Groups
      summary: Get group picture
      description: The {session} parameter must be the session's instanceName.
      operationId: GroupsController_getChatPicture
      parameters:
        - name: id
          required: true
          in: path
          description: ID do Grupo
          example: 123123123@g.us
          schema:
            type: string
        - name: refresh
          required: false
          in: query
          example: false
          description: >-
            Refresh the picture from the server (24h cache by default). Do not
            refresh if not needed, you can get rate limit error
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatPictureResponse'
      security:
        - api_key: []
components:
  schemas:
    ChatPictureResponse:
      type: object
      properties:
        url:
          type: string
      required:
        - url
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````